import React from 'react';

export const ColorLegend = ({
  cScale,
  innerWidth,
  axisOffset,
  legendOffset,
  circleR,
  markOpacity,
  hoveredVal,
  setHoveredVal
}) => (
  <g transform={`translate(${innerWidth},0)`}>
    {cScale.domain().map((level, i) => (
      <g
        key={i}
        className={`legend-item ${
          hoveredVal && hoveredVal !== level ? 'unhovered' : 'hovered'
        }`}
        opacity={hoveredVal && hoveredVal !== level ? 0.2 : markOpacity}
        onMouseEnter={() => setHoveredVal(level)}
        onMouseOut={() => setHoveredVal(null)}
      >
        <text
          className="axis"
          x={axisOffset + legendOffset}
          y={(i + 1) * legendOffset}
          dy=".32em"
        >
          {level}
        </text>
        <circle
          r={circleR}
          cx={axisOffset}
          cy={(i + 1) * legendOffset}
          fill={cScale(level)}
        />
      </g>
    ))}
  </g>
);
