import React from 'react';
import ReactDropdown from 'react-dropdown';

export const DropDownContainer = ({
  xAttr,
  yAttr,
  cAttr,
  setXAttr,
  setYAttr,
  setCAttr,
  getLabel,
  vars
}) => {
  const vars_num = vars.filter((v) => v.type === 'num');
  const vars_cat = vars.filter((v) => v.type === 'cat');

  return (
    <div className="dropdown-container">
      <span className="dropdown-label">X</span>
      <ReactDropdown
        options={vars_num}
        value={getLabel(xAttr)}
        onChange={({ value }) => setXAttr(value)}
      />

      <span className="dropdown-label">Y</span>
      <ReactDropdown
        options={vars_num}
        value={getLabel(yAttr)}
        onChange={({ value }) => setYAttr(value)}
      />

      <span className="dropdown-label">Color</span>
      <ReactDropdown
        options={vars_cat}
        value={getLabel(cAttr)}
        onChange={({ value }) => setCAttr(value)}
      />
    </div>
  );
};
