import { useState, useEffect } from 'react';
import { csv } from 'd3';

export const useData = () => {
  const [data, setData] = useState();
  const csvURL =
    'https://gist.githubusercontent.com/waseem-medhat/4b286623aa6f9df86657c723f8384bdb/raw/mtcars.csv';

  const row = (d) => {
    Object.keys(d).forEach((key) => (d[key] = +d[key]));
    d.wt = 1000 * d.wt;
    d.am = d.am === 0 ? 'Automatic' : 'Manual';
    return d;
  };

  useEffect(() => csv(csvURL, row).then(setData), []);

  return data;
};
